jQuery(document).ready(function($) {
    // Marcar el código como usado
    $('.mark-used').on('click', function() {
        const index = $(this).data('index');
        $.post(gcd_ajax.ajax_url, { action: 'mark_code_used', index: index }, function(response) {
            if (response.success) {
                location.reload();
            } else {
                alert('Error al marcar el código como usado.');
            }
        });
    });

    // Copiar código
    $('.copy-code').on('click', function() {
        const code = $(this).data('code');
        navigator.clipboard.writeText(code).then(function() {
            console.log('Código copiado al portapapeles');
        }).catch(function(err) {
            console.error('Error al copiar el código:', err);
        });
    });

    // Eliminar código
    $('.delete-code').on('click', function() {
        const index = $(this).data('index');
        if (confirm('¿Estás seguro de que deseas eliminar este código?')) {
            $.post(gcd_ajax.ajax_url, { action: 'delete_code', index: index }, function(response) {
                if (response.success) {
                    location.reload();
                } else {
                    alert('Error al eliminar el código.');
                }
            });
        }
    });

 // Seleccionar/Deseleccionar todos los checkboxes
    $('#select-all').on('change', function() {
        $('.code-checkbox').prop('checked', this.checked);
    });

    // Marcar seleccionados como usados
    $('#mark-selected-used').on('click', function() {
        var selected = [];
        $('.code-checkbox:checked').each(function() {
            selected.push($(this).data('index'));
        });

        if (selected.length > 0) {
            $.post(gcd_ajax.ajax_url, { action: 'mark_selected_used', indices: selected }, function(response) {
                if (response.success) {
                    location.reload();
                } else {
                    alert('Error al marcar los códigos como usados.');
                }
            });
        } else {
            alert('Selecciona al menos un código.');
        }
    });

    // Eliminar seleccionados
    $('#delete-selected').on('click', function() {
        var selected = [];
        $('.code-checkbox:checked').each(function() {
            selected.push($(this).data('index'));
        });

        if (selected.length > 0) {
            if (confirm('¿Estás seguro de que deseas eliminar los códigos seleccionados?')) {
                $.post(gcd_ajax.ajax_url, { action: 'delete_selected_codes', indices: selected }, function(response) {
                    if (response.success) {
                        location.reload();
                    } else {
                        alert('Error al eliminar los códigos.');
                    }
                });
            }
        } else {
            alert('Selecciona al menos un código.');
        }
    });
});