jQuery(document).ready(function($) {
    // Acción al hacer clic en el botón para generar el código.
    $('#generate-code').on('click', function() {
        $.post(gcd_ajax.ajax_url, { action: 'generate_code' }, function(response) {
            if (response.success) {
                // Muestra el código generado en pantalla.
                $('#generated-code').text('Código de descuento: ' + response.data);

                // Oculta el botón después de generar el código.
                $('#generate-code').hide();
            } else {
                alert('Error al generar el código.');
            }
        });
    });

    // Acción al hacer clic en el botón para marcar el código como usado.
    $('.mark-used').on('click', function() {
        const index = $(this).data('index');
        $.post(gcd_ajax.ajax_url, { action: 'mark_code_used', index: index }, function(response) {
            if (response.success) {
                location.reload();
            } else {
                alert('Error al marcar el código como usado.');
            }
        });
    });



// Función para actualizar el estilo del contenedor del código
    function updateCodeDisplay() {
        var codeDiv = $('#generated-code');
        if (codeDiv.text().trim()) { // Verifica si hay texto en el div
            codeDiv.removeClass('no-content').addClass('has-content');
        } else {
            codeDiv.removeClass('has-content').addClass('no-content');
        }
    }

    // Actualiza el estilo al cargar la página
    updateCodeDisplay();

    // Actualiza el estilo después de generar el código
    $('#generate-code').on('click', function() {
        $.post(gcd_ajax.ajax_url, { action: 'generate_code' }, function(response) {
            if (response.success) {
                $('#generated-code').text('Código de descuento: ' + response.data);
                updateCodeDisplay(); // Actualiza el estilo después de generar el código
            } else {
                alert('Error al generar el código.');
            }
        });
    });
});
